Save GSTR-7 TDS Return as a Draft
PUT
https://apisandbox.whitebooks.in/gstr7/retsaveThis API is to save GSTR7 data
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN of Deductor
Example: "12AUGGC1893F3DQ"
fpstringoptionalReturn Period
Example: "112017"
tdsarray<object>optionalArray items:
gstin_dedstringoptionalGSTIN of Deductee
Example: 300
amt_dedstringoptionalTotal Amount deducted by Deductor
Example: 300
iamtnumberoptionalIGST Amount deducted by Deductor
Example: 300
camtnumberoptionalCGST Amount deducted by Deductor
Example: 0
samtnumberoptionalSGST Amount deducted by Deductor
Example: 0
tdsaarray<object>optionalArray items:
omonthstringoptionalOriginal Financial Period
Example: "012018"
ogstin_dedstringoptionalOriginal GSTIN of Deductee
Example: "05AAFPQ1111B1ZP"
oamt_dedstringoptionalOriginal Amount deducted by Deductor
Example: 2000
gstin_dedstringoptionalRevised GSTIN of Deductee
Example: "05AAFPQ1111B1ZP"
amt_dednumberoptionalRevised Amount deducted by Deductor
Example: 3000
iamtnumberoptionalIGST Amount deducted by Deductor
Example: 300
camtnumberoptionalCGST Amount deducted by Deductor
Example: 0
samtnumberoptionalSGST Amount deducted by Deductor
Example: 0
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/gstr7/retsave. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save GSTR7 (PUT
/gstr7/retsave), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).This API is to save GSTR7 data
No example available.